import { OnInit, EventEmitter, AfterViewInit, ElementRef, ChangeDetectorRef } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import * as i0 from "@angular/core";
export declare class DateRangePickerComponent implements OnInit, AfterViewInit, ControlValueAccessor {
    private _eref;
    cd: ChangeDetectorRef;
    selectedDateRange?: any;
    selectedDateKey: string;
    calendarPlaceholder: string;
    showControls: boolean;
    minDate: any;
    maxDate: any;
    selectedDate: EventEmitter<any>;
    pickerDirective: any;
    ranges: any;
    constructor(_eref: ElementRef, cd: ChangeDetectorRef);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    onClick(event: any): void;
    openDatepicker(): void;
    onChange: (e: Event) => void;
    datesUpdated(eve: any): void;
    onTouched: () => void;
    writeValue(obj: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: () => void): void;
    setDisabledState(isDisabled: boolean): void;
    onTypeChange: (val: any) => void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DateRangePickerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DateRangePickerComponent, "app-date-range-picker", never, { "selectedDateRange": "selectedDateRange"; }, { "selectedDate": "selectedDate"; }, never, never>;
}
